import { userData } from "../Classes/userData.js";
import { players } from "../Player/players.js";
import { emitLogin } from "./_emitLogin.js";
import { users } from "./users.js";

export function register(socket, data){
    let buff = Buffer.from(data, 'base64');
        let json : userData = JSON.parse(buff.toString('utf-8'));
        if (!json.login || !json.password) return

        let result = users.createUser(json.login, json.password);
        let player = null
        if(result != null){
            player = players.createPlayer(result.id)
        }

        emitLogin(socket, result, player);
}