import { Stat } from "./itemData.js"
import { physicsObject } from "./physicsObject.js"

export class enemyData{
    id          : number
    templateId  : number
    rigidbody   : physicsObject
    stats       : Stat[] = []

    static copyStart(e: enemyData): any {
        let enemy : any = {}
        enemy.id = e.id
        enemy.templateId = e.templateId
        enemy.rigidbody = physicsObject.characterOnly(e.rigidbody)
        enemy.stats = e.stats
        return enemy
    }
    
    static copyUpdate(e: enemyData): any {
        let enemy : any = {}
        enemy.id = e.id
        enemy.templateId = e.templateId
        enemy.rigidbody = physicsObject.characterOnly(e.rigidbody)
        enemy.stats = e.stats
        return enemy
    }
}