import { playerData } from "./playerData.js"
import { userData } from "./userData.js"

export class loginResponse{
    result : boolean
    userData : userData
    playerData : playerData

    constructor(result : boolean, user : userData, player : playerData){
        this.result = result;
        if(result){
            this.userData = userData.makeSafe(user);
            this.playerData = player;
        }
    }
}