import { physicsObject } from "./physicsObject.js"

export class propData{
    id         : number
    templateId : number
    rigidbody  : physicsObject
    components : any

    static copyPropStart(o: propData) {
        let pObject = Object.assign({}, o)
        pObject.rigidbody = physicsObject.copyStart(o.rigidbody)
        return pObject
    }

    static copyPropUpdate(o: propData) {
        let pObject : any = {}
        pObject.id = o.id
        if(!physicsObject.isKinematic(o.rigidbody)){
            pObject.rigidbody = physicsObject.copyUpdate(o.rigidbody)
        }
        if(o.components != null){
            pObject.components = o.components
        }
        return pObject
    }
}