import { clear } from "./_clear.js";
import { enter } from "./_enter.js";
import { playerUpdate } from "./_playerUpdate.js";
import { projectile } from "./_projectile.js";
import { update } from "./_update.js";

export function registerLevelCallbacks(socket){
    socket.on('level/enter', (data) => {
        enter(socket, data)
    });

    socket.on('level/cleared', (data) => {
        clear(socket, data)
    });

    socket.on('level/update', (data) => {
        update(socket, data)
    });

    socket.on('level/playerUpdate', (data) => {
        playerUpdate(socket, data)
    });

    socket.on('level/projectile', (data) => {
        projectile(socket, data)
    });
}