import { playerData } from "../Classes/playerData.js";
import { game } from "../game.js";

export function loadoutChanged(socket, data){
    if(!socket.hasOwnProperty("player")) return;

    let buff = Buffer.from(data, 'base64');
    let data1 : playerData = JSON.parse(buff.toString('utf-8'));

    let player : playerData = socket.player
    player.inventory.weapon = data1.inventory.weapon
    player.inventory.equipment = data1.inventory.equipment
    player.validateEquipment()

    socket.emit("lobby/loadoutChanged", JSON.stringify(player.copyInventory()))
}