import { game } from "../game.js";

export function clear(socket, data){
    if(!socket.hasOwnProperty("player")) return;

    let buff = Buffer.from(data, 'base64');
    let data1 : string = JSON.parse(buff.toString('utf-8'));

    let room = game.lobbyState.roomComplete(data1)
    game.socketIO.emit("level/cleared", JSON.stringify(room.copyState()))
}