import { levelUpdateHost } from "../Classes/Incoming/levelUpdateHost.js";
import { playerData } from "../Classes/playerData.js";
import { game } from "../game.js";

export function update(socket, data){
    if(!socket.hasOwnProperty("player")) return;

    let buff = Buffer.from(data, 'base64');
    let data1 : levelUpdateHost = JSON.parse(buff.toString('utf-8'));
    let player : playerData = socket.player

    let room = game.lobbyState.rooms.find(l=>l.id == data1.room.id)
    if (room == null || room.hostId != player.id){
        return
    }

    if(data1.room.objects == null){
        data1.room.objects = []
    }
    if(data1.room.enemies == null){
        data1.room.enemies = []
    }

    player.rigidbody = data1.player.rigidbody
    room.enemies = data1.room.enemies
    room.objects = data1.room.objects

    //only in non-host player
    //player.damageInfo = rawJson.player.damageInfo
}